
.d-inline{
    display: inline;
}
.p-0{
    padding: 0;
}
.m-0{
    margin: 0;
}
.mt-auto{
    margin-top: auto !important;
}
.sing-inner-res {  
    text-decoration: none;  
    display:flex; justify-content: space-between; font-size: 12px; margin-top: 20px;
}
.sing-inner-res > div {
    flex: 0 0 31%;
}
.btn-link{
    font-weight: 400;
    color: #4B74FA;
    background: none;
    border: none;
    cursor: pointer;
}

#stitch-list{
    position: relative;
}

.invalid-feedback {
    display: none;
    width: 100%;
    margin-top: 0.25rem;
    margin-bottom: 0.25rem;
    font-size: 0.65em;
    color: #dc3545;
}
.page-dash {
    max-width: 1000px;
}
.alert {
    position: relative;
    padding: 0.75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
    font-size: 0.8em;
}
.alert-success {
    color: #1d643b;
    background-color: #d7f3e3;
    border-color: #c7eed8;
}
.alert-danger {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

.swal-overlay,
body .swal2-container{
    z-index: 999999;
}

.modal-template1.open{
    z-index: 300000;
}

.main-nav .logout svg{
    width: 16px;
    height: 16px;
}
.main-nav .logout path{
    fill: var(--neutralLabel);
}

#stitch-library .folder .top .settings-button-btn {
    font-size: 1em;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 1.4em;
    min-height: 1.4em;
    border-radius: 50%;
    border: none;
    background: transparent;
}
#stitch-library .folder .top .settings-button-btn img {
    width: 0.8em;
    height: 0.8em;
    -webkit-transition: -webkit-transform .2s;
    transition: -webkit-transform .2s;
    transition: transform .2s;
    transition: transform .2s, -webkit-transform .2s;
}

#stitch-library .stitch .border-button.active {
    background-color: var(--primary);
    color: white;
}
#stitch-library .stitch .border-button.active .default {
    display: none;
}
#stitch-library .stitch .border-button.active .hover {
    display: block;
}

#stitch-library .folder:hover{
    transform: none;
}

#unsave-stitches form button,
#revoke-social-access-modal form button,
#delete-payment-modal form button {
    background-color: var(--error);
    -webkit-transition: background-color 0.3s;
    transition: background-color 0.3s;
}
#unsave-stitches form button:hover,
#revoke-social-access-modal form button:hover,
#delete-payment-modal form button:hover {
    background-color: #911703;
}

#stitch-library #account-wrapper > div{
    border-bottom: 1px solid #DADADA;
}
#stitch-library #account-wrapper > div:last-child{
    padding: 0;
    margin: 0;
    border-bottom: none;
}

.StripeElement{
    font-size: 0.9em;
    height: 2.66666667em;
    background: #F3F3F4;
    border: 1px solid #E8E9EC;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 0.44444444em;
    padding-left: 0.88888889em;
    width: 100%;
    display: block;
    margin-bottom: 0.88888889em;
}

#stitch-library #payment-wrapper .payment-methods-container-inner{
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    gap: 0.5em;
    width: 100%;
}

#add-payment-modal form .card-number:before,
#add-payment-modal form .expire:before,
#add-payment-modal form .security:before{
    bottom: 1.5em;
}


.card {
    border-radius: 14px;
    padding: 56px;
}
.card-white {
    background-color: white;
}

.card-header {
    margin-bottom: 1.8em;
}
.form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
}
.form-group > label {
    display: block;
    font-size: 0.65em;
    line-height: 1.53846154;
    color: #14142b;
    margin-bottom: 0.92307692em;
}
.input {
    font-size:18px;
    height: 2.66666667em;
    background: #F3F3F4;
    border: 1px solid #E8E9EC;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 0.44444444em;
    padding:10px 0.88888889em;
    width: 100%;
    display: block;
}

.select {
    font-size: 18px;
    background: #F3F3F4;
    border: 1px solid #E8E9EC;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    border-radius: 0.44444444em;
    padding:12px 0.88888889em;
    width: 100%;
    display: block;
}

.button-solid {
    display: block;
    border: none;
    font-size: 0.8em;
    font-family: var(--ubuntoFont);
    font-weight: bold;
    color: #fff;
    background-color: var(--primary);
    line-height: 3.125em;
    border-radius: 0.25em;
    width: 100%;
}
.input-file {
    position: relative;
}
.input-file > input {
    position: absolute;
    width: 0;
    height: 0;
}

.add-edit-buttons {
    display: flex;
    gap: 10px;
}

.input-file__content {
    background-color: var(--primary);
    border: none;
    line-height: 3.125em;
    font-family: var(--ubuntoFont);
    font-weight: bold;
    color: #fff;
    font-size: 0.8em;
    border-radius: 0.25em;
    width: 100%;
    margin: auto;
    display:block;
    text-align: center;
}
.mb-20 {
    margin-bottom: 20px;
}

.custom-row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
}
.custom-col-6 {
    flex: 0 0 50%;
    width: 50%;
    padding: 0 15px;
}
textarea.input {
    height: auto;
    resize: vertical;
}

.form-group .select2-container--default .select2-selection--multiple{
    background: #F3F3F4;
    border: 1px solid #E8E9EC;
    min-height: 48px;
    border-radius: 0.5em;
}

.form-group .select2-container {
    width: 100%!important;
}
.page-dash {
    margin-top: 110px;
}
.mr-8 {
    margin-right: 8px;
}
/* .alert-massage:not(.alert-massage[msg-alert="true"]){

    overflow: hidden;
    visibility: hidden;
    opacity: 0;
    transition: var(--transition);
    margin-top: 5px;
} */
.alert-massage{
    display: flex;
    padding: 12px 24px;
    border-radius: var(--radius);
    background: #292C2D;
    z-index: 1000;
    position: fixed;
    top: 90px;
    left: 50%;
    transform: translate(-50%, 0);
    transition: var(--transition);
    max-width: 515px;
    width: 100%;
    align-items: center;
    justify-content: space-between;
}
.alert-massage *{
    display:flex;
    align-items: center;
    color: var(--white);
    font-size: 14px;
    line-height: 16px;
}
.alert-massage .info-message{
    font-weight: var(--fw-600);
}
.alert-action {
    text-decoration: none;
}
.mr-16 {
    margin-right: 16px;
}

.css-types, .core-styles-types {
    font-size: 16px;
    color: #fff;
    padding: 0 20px;
}
.css-types span, .core-styles-types span {
    padding: 0 10px;
}

.css-mode{
    margin-right: 10px;
}
.css-mode .btn  {
    font-size: 14px;
    background: #5f5fff;
    padding: 2px 10px;
    width: 115px;
}

.css-mode .btn span{
    padding: 0 3px;
    font-size: 18px;
}

#css-theme-default + .btn {
    background: #fff;
    color: #0C293E;
}

#css-theme-dark + .btn {
    background: #0C293E;
    color: #fff;
}

.select2-container--default .select2-selection--single{
    font-size: 18px;
    background: #F3F3F4 !important;
    border: 1px solid #E8E9EC !important;
    -webkit-box-sizing: border-box;
    border-radius: 7px !important;
    padding: 12px 0.88888889em;
    width: 100%;
    display: block;
    min-height: 48px;
    font-family: var(--ubuntoFont);
}

.select2-container--default .select2-selection--single .select2-selection__rendered{
    font-size: 18px;
    line-height: 20px !important;
    color: #000 !important;
    font-family: var(--ubuntoFont);
}

.select2-results{
    background: #F3F3F4;
}
.select2-search{
    background: #F3F3F4;
}


.select2-container--open .select2-dropdown--below{
    border: 1px solid #E8E9EC;
    border-top: none;
    -webkit-box-shadow: 0px 0px 3px 1px rgba(0, 0, 0, 1);
    -moz-box-shadow: 0px 0px 3px 1px rgba(0, 0, 0, 1);
    box-shadow: 0px 0px 3px 1px rgba(0, 0, 0, 1);
}

.select2-results__option{
    font-size: 18px;
    line-height: 20px;
    color: #000;
}

.select2-search__field{
    font-size: 18px;
    line-height: 20px;
    color: #000
}

.select2-container--default .select2-selection--single .select2-selection__arrow{
    top: 50% !important;
    transform: translateY(-50%);
}

#stitch-library .dashboard-top-section h2{
    width: auto;
}

#stitch-library .dashboard-top-section .filter{
    min-height: 36px;
    align-self: stretch;
    margin-left: auto; 
    margin-right: 16px;
}
#stitch-library .top-section .filter + select {
    min-height:3.5em;
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 0 15px;
    border-radius: 0.30769231em;
}
#support-material {
    margin-bottom: 2.8em;
}

.pagination-nav {
    flex: 0 0 100%;
    display: flex;
    justify-content: center;
}
.pagination {
    margin-right: -0.5em;
    justify-content: center;
}
#navigation .profile-info {
    text-decoration: none;
}
.header-button{
    font-size: 0.65em;
    color: var(--neutralLabel);
    line-height: 2.61538462em;
    width: 6.23076923em;
    background: transparent;
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 0.30769231em;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 0 0.92307692em;
}

.profile-info.--inner {
    display: block;
    font-size: 0.65em;
    color: var(--neutralBody);
    border: 1px solid transparent;
}
.code-block-wrapper {
    margin-top: 30px;
    padding-top: 30px;
    border-top:1px solid var(--primary)
}
.custom-col-auto {
    padding: 0 15px;
    flex: auto;
}
.profile-info.--inner.active {
    background-color: var(--primary);
    pointer-events: none;
    color: white;
}
.pagination,
.pagination li {
    list-style: none;
    display: flex;
    align-items: center;
    flex-wrap: wrap;
}
.pagination li > * {
    text-decoration: none;
    border: 1px solid rgba(0, 0, 0, 0.1);
    color: #6E7191;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px;
    width: 1.5em;
    height: 1.5em;;
    margin-right: 0.5em;
    margin-bottom: 0.5em;
    border-radius: 5px;
}
.pagination li > *:hover {
    opacity: .6;
}
.pagination .page-item.active > * {
    border-color: #6E7191;
}
.module-chek {
    cursor: pointer;
    display: inline-flex;
    position: relative;
}
.module-chek input{
    position: absolute;
    width: 1px;
    height: 1px;
    left: 0;
    top: 0;
}
.module-chek__text {
    margin-left: 10px;
}
.module-chek__icon {
    flex: 0 0 20px;
    width: 20px;
    height: 20px;
    border: 1px solid #E8E9EC;
    background-color: #F3F3F4;
    border-radius: 3px;
}
.module-chek input:checked + .module-chek__icon {
    background-image: url(../images/check.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;    
}
.mb-5 {
    margin-bottom: 5px;
}
.w-100 {
    width: 100%;
}

.container.overflow{
    overflow: auto;
    height: 100vh;
}

.controls-item .css-types, .controls-item .core-styles-types {
    display: flex;
}

.swal-custom-popup h2, .swal-custom-popup div {
    color: #0C293E;
}
.swal-custom-popup .swal2-confirm {
    background-color: #0C293E !important;
    width: 100%;
}

.dropdown-style{
    display: flex;
    flex-direction: column;
    position: relative;
}
.dropdown-style .dropdown--body{
    position: absolute;
    top: 100%;
    background: #fff;
    width: 100%;
    border: 1px solid var(--primary);
}
.dropdown-style .dropdown--body ul{
    list-style-type: none;
    display: flex;
    flex-direction: column;
}
.dropdown-style .dropdown--body a{
    width: 100%;
    display: flex;
    align-items: center;
    padding: 10px;
    text-decoration: none;
    color: var(--primary);
    font-weight: 500;
    font-size: 16px;
}
.dropdown-style .dropdown--body a > svg{
    margin-right: 10px;
    width: 18px;
    height: 18px;
}
.dropdown-style .dropdown--body li{
    display: flex;
}
.dropdown-style .dropdown--body li:not(:last-child) a{
    border-bottom: 1px solid var(--primary);
}
.dropdown-style .dropdown--body{
    display: none;
}
.dropdown-style.active .profile-info{
    background-color: #f7f7f7;
}
.dropdown-style.active .carrot{
    transform: rotate(-180deg);
}
.stitch{
    flex-direction: column;
}
.stitch .stitch--header{
    display: flex;
    width: 100%;
    justify-content: flex-end;
    margin-bottom: .6em;
}
.buttons.buttons-notlast > *:last-child{
    margin-right: 0 !important;
}
.buttons.buttons-notlast > *:not(:last-child){
    margin-right: 0.4em;
}
.dropdown-style.active .dropdown--body{
    display: block;
}
.dropdown-style .dropdown--body li::marker{
    display: none;
}
.mr-24{margin-right: 24px;}
.mr-0{margin-right: 0 !important;}
.swal-custom-popup .swal2-cancel{
    width: 100%;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice{
    padding-left: 0 !important;
    
    display: inline-flex !important;
    align-items: center !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove{
    position: relative !important;
    margin-right: 5px;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__remove span{
    font-size: 18px;
    display: flex;
}
.form-group .select2-container--default .select2-selection--multiple{
    display: flex !important;
    align-items: center !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice__display{
    font-size: 16px;
}
.select2-container--default .select2-search--inline .select2-search__field{
    font-size: 16px;
}
@media only screen and (min-width: 0em){
    #success-modal p,
    .swal-custom-popup .swal2-html-container {
        width: 80%;
        text-align: center;
        margin: 1em auto;
    }

    .swal-custom-popup .swal2-actions{
        width: 91%;
        margin: auto;
    }
    .swal2-container.swal2-backdrop-show, .swal2-container.swal2-noanimation{
        background: rgba(0, 0, 0, 0.6) !important;
    }
}
@media (max-width: 768px) {
    .card {
        padding: 20px;
    }
    .custom-col-6 {
        flex: 0 0 100%;
        width: 100%;
    }
    #stitch-library .dashboard-top-section p{
        display: none;
    }
    #stitch-library .top-section .filter + select {
        margin-top: 10px;
    }
}
@media (max-width: 575px) {
    /* .sing-inner-res {
        flex-direction: column;
    } */
    .sing-inner-res > * {
        margin-bottom: 20px;
    }
    .sing-inner-res .info{
        display: none;
    }
    .sing-inner-res a{
        justify-content: center;
    }
    .sing-inner-res > div{
        flex: 0 0 20%;
    }
    .sing-inner-res a img {
        margin-right: 0 !important;
    }

}
@media (min-width: 1900px) {
    .page-dash {
        margin-top: 147px;
    }
}


@media (max-width: 1500px) {
    .controls-item .code_list{
        flex-direction: column;
    }
}

@media (max-width: 1400px) {
    .dropdown-style .dropdown--body a > svg{
        display: none;
    }
    .controls-item .code_list{
        flex-direction: initial;
        margin-bottom: 10px;
        margin-right: 0;
    }
    .CODE_TABS__HEAD{
        flex-direction: column;
    }
}
@media (max-width: 1199px) {
    .dropdown-style .dropdown--body{
        position: relative;
        display: block;
    }
    .dropdown-style{
        margin-right: 0;
        margin-bottom: 20px;
    }
}
@media (max-width: 1000px){
    .css-types, .core-styles-types {
        display: flex;
        flex-direction: column;
        flex: auto;
        padding: 0 20px 0 0;
    }
    .controls-item{
        width: 100%;
        justify-content: flex-start;
    }
    .css-types span, .core-styles-types span {
        padding: 0;
    }
}

@media (max-width: 768px){
    .p-56.page-dash{
        padding: 56px 15px;
    }
}

@media (max-width: 480px){
    .CODE_TABS__HEAD .controls-item:last-child{
        flex-direction: column;
        /* align-items: end !important; */
    }

    .css-types, .core-styles-types {
        margin-bottom: 10px;
    }
    .css-mode{
        margin-bottom: 10px;
    }

    .btn.btn--copy{
        margin-bottom: 10px;
    }
}

@media (max-width: 360px){
    .p-56.page-dash{
        padding: 56px 0px;
    }
}

@media (min-width: 576px) {
    #register-account .sign-in.min-sm-d-none{
        display: none;
    }
}